<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.gpsboot.mapper.es.EsSaveInfoMapper">

    <select id="getUsersRtInfo"  resultType="map">
        select * from essaveinfo
    </select>

    <insert id="insertEsInfo" parameterType="map" >
        insert into essaveinfo(esindex,fristtime,create_date) values
		(#{esindex},#{fristtime},sysdate)
    </insert>

    <select id="getCarGpsInfo" resultType="map">
        select car_id,meid from TF_CAR_GPSTOCAR cgc,tf_car_gps cg where cgc.gps_id=cg.id and cgc.del_flag = '0' and cg.del_flag = '0'
    </select>

    <select id="getCarMaxSpeed" resultType="double">
        select round(car_max_speed/3.6,1) from TF_SYS_SETTING t where id = 1
    </select>

    <select id="getMaxSpeed" resultType="double">
        select round(max_speed/3.6,1) from TF_SYS_SETTING t where id = 1
    </select>
</mapper>